Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4539)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4540)
@@ -4400,22 +4363,22 @@
 
     CALL uvem_solar_position
-     
+
     IF (sza  >=  90)  THEN
        vitd3_exposure(:,:) = 0.0_wp
     ELSE
-       
+
        DO  ai = 0, 35
           DO  zi = 0, 9
-                projection_area_lookup_table(ai,zi) = uvem_projarea_f%var(clothing,zi,ai)
+             projection_area_lookup_table(ai,zi) = uvem_projarea_f%var(clothing,zi,ai)
           ENDDO
        ENDDO
        DO  ai = 0, 35
           DO  zi = 0, 9
-                integration_array(ai,zi) = uvem_integration_f%var(zi,ai)
+             integration_array(ai,zi) = uvem_integration_f%var(zi,ai)
           ENDDO
        ENDDO
        DO  ai = 0, 2
           DO  zi = 0, 90
-                irradiance_lookup_table(ai,zi) = uvem_irradiance_f%var(zi,ai)
+             irradiance_lookup_table(ai,zi) = uvem_irradiance_f%var(zi,ai)
           ENDDO
        ENDDO
@@ -4427,56 +4390,60 @@
           ENDDO
        ENDDO
-        
-        
-        
-!--    rotate 3D-Model human to desired direction  ----------------------------- 
+
+
+!--    Rotate 3D-Model human to desired direction
        projection_area_temp( 0:35,:) = projection_area_lookup_table
-       projection_area_temp(36:71,:) = projection_area_lookup_table               
+       projection_area_temp(36:71,:) = projection_area_lookup_table
        IF (  .NOT.  turn_to_sun ) startpos_human = orientation_angle / 10.0_wp
-       IF (       turn_to_sun ) startpos_human = saa / 10.0_wp        
+       IF (       turn_to_sun ) startpos_human = saa / 10.0_wp
        DO  ai = 0, 35
           xfactor = ( startpos_human ) - INT( startpos_human )
           DO  zi = 0, 9
-             projection_area(ai,zi) = ( projection_area_temp( 36 - INT( startpos_human ) - 1 + ai , zi) *             &
-                                      ( xfactor ) )                                                                   &
-                                      +( projection_area_temp( 36 - INT( startpos_human ) + ai , zi) *                &
-                                      ( 1.0_wp - xfactor ) )
+             projection_area(ai,zi) = ( projection_area_temp( 36 -                                 &
+                                                               INT( startpos_human ) - 1 + ai , zi)&
+                                        * ( xfactor ) )                                            &
+                                      + ( projection_area_temp( 36 -                               &
+                                                                INT( startpos_human ) + ai , zi)   &
+                                        * ( 1.0_wp - xfactor ) )
           ENDDO
-       ENDDO           
-!             
-!           
-!--    interpolate to accurate Solar Zenith Angle  ------------------          
+       ENDDO
+!
+!
+!--    Interpolate to accurate Solar Zenith Angle
        DO  ai = 0, 35
-          xfactor = (sza)-INT(sza)
+          xfactor = ( sza )-INT( sza )
           DO  zi = 0, 9
-             radiance_array(ai,zi) = ( radiance_lookup_table(ai, zi, INT(sza) ) * ( 1.0_wp - xfactor) ) +             &
-             ( radiance_lookup_table(ai,zi,INT(sza) + 1) * xfactor )
+             radiance_array(ai,zi) = ( radiance_lookup_table(ai, zi, INT( sza ) ) *                &
+                                     ( 1.0_wp - xfactor) ) +                                       &
+                                     ( radiance_lookup_table(ai,zi,INT( sza ) + 1) * xfactor )
           ENDDO
        ENDDO
        DO  iq = 0, 2
-          irradiance(iq) = ( irradiance_lookup_table(iq, INT(sza) ) * ( 1.0_wp - xfactor)) +                          &
-          (irradiance_lookup_table(iq, INT(sza) + 1) * xfactor )
-       ENDDO   
-!         
-!--    interpolate to accurate Solar Azimuth Angle ------------------
+          irradiance(iq) = ( irradiance_lookup_table(iq, INT( sza ) ) * ( 1.0_wp - xfactor)) +     &
+                           ( irradiance_lookup_table(iq, INT( sza ) + 1) * xfactor )
+       ENDDO
+!
+!--    Interpolate to accurate Solar Azimuth Angle
        IF ( sun_in_south )  THEN
           startpos_saa_float = 180.0_wp / 10.0_wp
-       ELSE 
+       ELSE
           startpos_saa_float = saa / 10.0_wp
        ENDIF
        radiance_array_temp( 0:35,:) = radiance_array
        radiance_array_temp(36:71,:) = radiance_array
-       xfactor = (startpos_saa_float) - INT(startpos_saa_float)
+       xfactor = (startpos_saa_float) - INT( startpos_saa_float )
        DO  ai = 0, 35
           DO  zi = 0, 9
-             radiance_array(ai,zi) = ( radiance_array_temp( 36 - INT( startpos_saa_float ) - 1 + ai , zi ) *          &
-                                     ( xfactor ) )                                                                    &
-                                     + ( radiance_array_temp( 36 - INT( startpos_saa_float ) + ai , zi )              &
-                                     * ( 1.0_wp - xfactor ) )
+             radiance_array(ai,zi) = ( radiance_array_temp(36 -                                    &
+                                                           INT( startpos_saa_float ) - 1 + ai, zi) &
+                                       * ( xfactor ) )                                             &
+                                     + ( radiance_array_temp(36 -                                  &
+                                                             INT( startpos_saa_float ) + ai, zi)   &
+                                       * ( 1.0_wp - xfactor ) )
           ENDDO
-       ENDDO 
-!        
-!      
-!--    calculate Projectionarea for direct beam -----------------------------'
+       ENDDO
+
+!
+!--    Calculate Projectionarea for direct beam
        projection_area_direct_temp( 0:35,:) = projection_area
        projection_area_direct_temp(36:71,:) = projection_area
@@ -4491,17 +4458,16 @@
                                      ( projection_area_direct_temp( INT(startpos_saa_float) + 1,INT(sza/10.0_wp)+1) * &
                                      (          xfactor ) * (          yfactor ) )
-!                                                
-!                                                
-!                                                
+
+
        DO  i = nxl, nxr
           DO  j = nys, nyn
-!                   
-! !--        extract obstruction from IBSET-Integer_Array ------------------'
+!
+!--          Extract obstruction from IBSET-Integer_Array
              IF (consider_obstructions )  THEN
                 obstruction_temp1 = building_obstruction_f%var_3d(:,j,i)
                 IF ( obstruction_temp1(0)  /=  9 )  THEN
-                   DO  pobi = 0, 44 
-                      DO  bi = 0, 7 
-                         IF ( btest( obstruction_temp1(pobi), bi )  .EQV.  .TRUE.)  THEN
+                   DO  pobi = 0, 44
+                      DO  bi = 0, 7
+                         IF ( BTEST( obstruction_temp1(pobi), bi )  .EQV.  .TRUE.)  THEN
                             obstruction_temp2( ( pobi * 8 ) + bi ) = 1
                          ELSE
@@ -4509,27 +4475,29 @@
                          ENDIF
                       ENDDO
-                   ENDDO        
-                   DO  zi = 0, 9                                          
+                   ENDDO
+                   DO  zi = 0, 9
                       obstruction(:,zi) = obstruction_temp2( zi * 36 :( zi * 36) + 35 )
                    ENDDO
-                ELSE 
+                ELSE
                    obstruction(:,:) = 0
                 ENDIF
              ENDIF
-!              
-! !--        calculated human exposure ------------------'  
-             diffuse_exposure = SUM( radiance_array * projection_area * integration_array * obstruction )      
-         
-             obstruction_direct_beam = obstruction( nint(startpos_saa_float), nint( sza / 10.0_wp ) ) 
+!
+!--          Calculated human exposure
+             diffuse_exposure = SUM( radiance_array * projection_area * integration_array *        &
+                                     obstruction )
+
+             obstruction_direct_beam = obstruction( NINT( startpos_saa_float),                     &
+                                                    NINT( sza / 10.0_wp ) )
              IF (sza  >=  89.99_wp)  THEN
                 sza = 89.99999_wp
              ENDIF
-!             
-!--          calculate direct normal irradiance (direct beam) ------------------'
-             direct_exposure = ( irradiance(1) / cos( pi * sza / 180.0_wp ) ) * &
-             projection_area_direct_beam * obstruction_direct_beam  
-               
-             vitd3_exposure(j,i) = ( diffuse_exposure + direct_exposure ) / 1000.0_wp * 70.97_wp 
-             ! unit = international units vitamin D per second              
+!
+!--          Calculate direct normal irradiance (direct beam)
+             direct_exposure = ( irradiance(1) / COS( pi * sza / 180.0_wp ) ) *                    &
+                               projection_area_direct_beam * obstruction_direct_beam
+
+             vitd3_exposure(j,i) = ( diffuse_exposure + direct_exposure ) / 1000.0_wp * 70.97_wp
+!            unit = international units vitamin D per second
           ENDDO
        ENDDO
